.\" sgsc(1) - manual page for the `gsc' scanner device driver utility
.\"
.\"
.\" Copyright (c) 1995 Gunther Schadow.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Gunther Schadow.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.Dd January 6, 1995
.Dt SGSC 1
.Os
.Sh NAME
.Nm sgsc
.Nd set the options of the gsc scanner device
.Sh SYNOPSIS
.Nm sgsc
.Op Fl sq
.Op Fl b Ar len
.Op Fl f Ar file
.Op Fl h Ar height
.Op Fl r Ar resolution
.Op Fl t Ar timeout
.Op Fl w Ar width
.Sh DESCRIPTION
The
.Nm
utility provides shell level access to the ioctl
requests served by the handy scanner device driver gsc. Please see
.Xr gsc 4
for the exact meaning of the requests.  Generally they modify
the output and behaviour of the gsc scanner device. When
.Nm
is called with no option only the current settings are reported.
.Sh OPTIONS
The following options are available:
.Bl -tag -width indent
.It Fl s Ar [GSC_SRESSW]
Set the scanner with the values of the resolution selector switch.
.It Fl q
Operate in quiet mode, i.e. do not report any of the current settings.
Normally the parameters are shown after the modifications have been
performed.
.It Fl f Ar file
Operate on a different scanner device node given by filename. Note
that even though there may exist more than one node of scanner device
several of them will refer the same device unit. The modifications are
performed od the unit regardless of the device node by which it is
accessed.
.It Fl r Ar resolution [GSC_SRES]
Set the resolution in dpi.
.It Fl w Ar width [GSC_SWIDHT]
Set the width of the bitmap in pixels.
.It Fl h Ar height [GSC_SHEIGHT]
Set the height of the bitmap in lines of pixels.
.It Fl b Ar len [GSC_SBLEN]
Set the internal dma buffer to be
.Ar len
lines in size.
.It Fl t Ar timeout [GSC_SBTIME]
Set the timeout time for reading one dma buffer.
.El
.Sh FILES
.Bl -tag -width /dev/gsc0p -compact
.It Pa /dev/gsc0
device node for
.Em raw
output
.It Pa /dev/gsc0p
device node for output in
.Em pbm
file format
.El
.Sh SEE ALSO
.Xr gsc 4
.Sh AUTHORS
.An Gunther Schadow Aq gusw@fub46.zedat.fu-berlin.de
